{ config, pkgs, ... }:

{
  networking.hostName = "p330";
  networking.hostId = "05130071";

  boot.loader.grub.enableCryptodisk = true;
  boot.supportedFilesystems = [ "zfs" ];

  services.xserver = {
    videoDrivers = [ "intel" ];
    dpi = 144;
    xrandrHeads = [
      {
        output = "DP2";
        primary = true;
        monitorConfig = ''
          Option  "Position"   "0 790"
        '';
      }
      {
        output = "DP3";
        monitorConfig = ''
          Option  "Position"   "3840 0"
          Option  "Rotate"     "right"
        '';
      }
    ];
    serverFlagsSection = ''
      Option "BlankTime" "19"
      Option "StandbyTime" "0"
      Option "SuspendTime" "0"
      Option "OffTime" "20"
    '';
  };
}
